Module java.base
Package java.nio.channels

## Class OverlappingFileLockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - java.nio.channels.OverlappingFileLockException

All Implemented Interfaces:
  `Serializable`

    public class OverlappingFileLockException
    extends IllegalStateException

Unchecked exception thrown when an attempt is made to acquire a lock on a region of a file that overlaps a region already locked by the same Java virtual machine, or when another thread is already waiting to lock an overlapping region of the same file.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
`OverlappingFileLockException()` Constructs an instance of this class.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OverlappingFileLockException

    public OverlappingFileLockException()

Constructs an instance of this class.